Page MenuHomePhabricator

Give Phame blog posts configurable interact policies, with a default policy of "Same as Blog"
ClosedPublic

Authored by epriestley on Apr 1 2022, 7:41 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Sep 25, 6:15 PM
Unknown Object (File)
Sat, Sep 24, 9:22 PM
Unknown Object (File)
Sun, Sep 11, 9:11 AM
Unknown Object (File)
Fri, Sep 9, 11:19 PM
Unknown Object (File)
Sat, Sep 3, 9:00 PM
Unknown Object (File)
Aug 14 2022, 12:37 PM
Unknown Object (File)
Aug 12 2022, 2:46 PM
Unknown Object (File)
Aug 4 2022, 9:54 AM
Subscribers
Restricted Owners Package

Details

Summary

Ref T13661. This allows posts to have comments disabled (or restricted) on a per-post basis, and makes them inherit the containing blog policy by default.

Test Plan

Locked a post by editing its policy explicitly; locked a post by editing the containing blog policy.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Owners added a subscriber: Restricted Owners Package.Apr 1 2022, 7:41 PM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 1 2022, 7:53 PM
This revision was automatically updated to reflect the committed changes.